claw::binary_true< T, U > Class Template Reference

Always true binary predicate. More...

`#include <functional.hpp>`

Inheritance diagram for claw::binary_true< T, U >:

## Public Member Functions

bool | operator() (const T &t, const U &u) const

## Detailed Description

template<class T, class U>
class claw::binary_true< T, U >

Always true binary predicate.

Template arguments:

- T Doesn't matter,
- U Doesn't matter.

Remarks
  Use it when you need to process all elements but a method needs an binary predicate parameter.

Author
  Julien Jorge

Definition at line 195 of file functional.hpp.

## Member Function Documentation

## operator()()

template<class T, class U>

bool claw::binary_true< T, U >::operator() | ( | const T & | t,
|  | const U & | u ) const

inline

Definition at line 198 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp